"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const synckit_1 = require("synckit");
const vfile_1 = tslib_1.__importDefault(require("vfile"));
const rules_1 = require("./rules");
// eslint-disable-next-line @typescript-eslint/no-floating-promises
synckit_1.runAsWorker((fileOptions, physicalFilename, isMdx) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const remarkProcessor = rules_1.getRemarkProcessor(physicalFilename, isMdx);
    const file = vfile_1.default(fileOptions);
    try {
        yield remarkProcessor.process(file);
    }
    catch (err) {
        if (!file.messages.includes(err)) {
            file.message(err).fatal = true;
        }
    }
    return {
        messages: file.messages,
        content: file.toString(),
    };
}));
//# sourceMappingURL=worker.js.map